mia-2dseriesgradvariation(1)

NAME
mia-2dseriesgradvariation - Evaluate the time-intensity gradient variation in a series of images.

SYNOPSIS
mia-2dseriesgradvariation -i <in-file> -o <out-file> [options]

DESCRIPTION
mia-2dseriesgradvariation Given a set of images of temporal succession, this program evaluates the gradient variation of the pixel-wise time-intensity curves of this series. If the input image set provides a segmentation, then this segmentation can be used to create a bounding box and restrict evaluation to this box.

OPTIONS

    -i --in-file=(input, required); string
        input segmentation set

    -o --out-file=(output, required); io
        output file name
         For supported file types see PLUGINS:2dimage/io

    -k --skip=0
        Skip files at the beginning

    -e --enlarge-boundary=5
        Enlarge cropbox by number of pixels

    -c --crop
        crop image before running statistics

  Help & Info

    -V --verbose=warning
        verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

        trace - Function call trace
        debug - Debug output
        info - Low level messages
        message - Normal messages
        warning - Warnings
        fail - Report test failures
        error - Report errors
        fatal - Report only fatal errors

    --copyright
        print copyright information

    -h --help
        print this help

    -? --usage
        print a short help

    --version
        print the version number and exit

  Processing

    --threads=-1
        Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

PLUGINS: 2dimage/io

bmp BMP 2D-image input/output support. The plug-in supports reading and writing of binary images and 8-bit gray scale images. read-only support is provided for 4-bit gray scale images. The color table is ignored and the pixel values are taken as literal gray scale values.

    Recognized file extensions: .BMP, .bmp

    Supported element types:
        binary data, unsigned 8 bit

datapool
    Virtual IO to and from the internal data pool

    Recognized file extensions: .@

dicom
    2D image io for DICOM

    Recognized file extensions: .DCM, .dcm

    Supported element types:
        signed 16 bit, unsigned 16 bit

exr a 2dimage io plugin for OpenEXR images

    Recognized file extensions: .EXR, .exr

    Supported element types:
        unsigned 32 bit, floating point 32 bit

jpg a 2dimage io plugin for jpeg gray scale images

    Recognized file extensions: .JPEG, .JPG, .jpeg, .jpg

    Supported element types:
        unsigned 8 bit

png a 2dimage io plugin for png images

    Recognized file extensions: .PNG, .png

    Supported element types:
        binary data, unsigned 8 bit, unsigned 16 bit

raw RAW 2D-image output support

    Recognized file extensions: .RAW, .raw

    Supported element types:
        binary data, signed 8 bit, unsigned 8 bit, signed 16 bit, unsigned 16 bit, signed 32 bit, unsigned 32 bit, floating point 32 bit, floating point 64 bit

tif TIFF 2D-image input/output support

    Recognized file extensions: .TIF, .TIFF, .tif, .tiff

    Supported element types:
        binary data, unsigned 8 bit, unsigned 16 bit, unsigned 32 bit

vista
    a 2dimage io plugin for vista images

    Recognized file extensions: .-, .V, .VISTA, .v, .vista

    Supported element types:
        binary data, signed 8 bit, unsigned 8 bit, signed 16 bit, unsigned 16 bit, signed 32 bit, unsigned 32 bit, floating point 32 bit, floating point 64 bit

EXAMPLE
Evaluate the gradient-variation image of the bounding box surrounding the segmentation from a series 'segment.set'. The bounding box will be enlarged by 3 pixels in all directions. Store the image in OpenEXR format.

mia-2dseriesgradvariation -i segment.set -o gradvar.exr -c -e 3

AUTHOR(s)
Gert Wollny

COPYRIGHT
This software is Copyright (c) 1999-2015 Leipzig, Germany and Madrid, Spain. It comes with ABSOLUTELY NO WARRANTY and you may redistribute it under the terms of the GNU GENERAL PUBLIC LICENSE Version 3 (or later). For more information run the program with the option '--copyright'.